(*--------------------------------------------------------------------------*)
(*                        GETPARMS.INC                                      *)
(*  Turbo Pascal procedure to retrieve command line parameters.             *)
(*  Copywrite 1984 Michael A. Covington                                     *)
(*--------------------------------------------------------------------------*)
type parmtype = string[127];
procedure getparm(var s:parmtype);
(*--------------------------------------------------------------------------*)
(*  returns first available parameter from DOS command line and removes it  *)
(*  next parameter will be returned on next call.  If no more parameters    *)
(*  are available, returns a null string.                                   *)
(*--------------------------------------------------------------------------*)
var
   parms  : parmtype absolute CSEG:$80;

begin
     s:='';
     (* parms[1] exists even when length is zero *)
     while ( length(parms) > 0) and (parms[1] = ' ') do
          delete(parms,1,1);
     while (length(parms) > 0) and (parms[1] <> ' ') do
          begin
               s:=s+parms[1]; delete(parms,1,1)
          end
end;

